Loading...
Searching...
No Matches
Liveplay Class Reference

`#include <gx_main_window.h>`

Inheritance diagram for Liveplay:

## Public Member Functions

| Liveplay (const gx_system::CmdlineOptions &options, gx_engine::GxMachineBase &machine, const std::string &fname, const GxActions &actions, Glib::RefPtr< Gio::SimpleActionGroup > &group)
| ~Liveplay ()
void | on_live_play (Glib::RefPtr< ToggleAction > act)
void | display_tuner (bool v)
Gxw::RackTuner & | get_tuner ()

## Private Member Functions

void | add_midi_elements ()
bool | on_delete (GdkEventAny *ev)
void | on_brightness_changed ()
void | on_background_changed ()
bool | transparent_draw (const Cairo::RefPtr< Cairo::Context > &cr)
bool | window_draw (const Cairo::RefPtr< Cairo::Context > &cr)
void | on_realize ()
void | on_engine_state_change (gx_engine::GxEngineState state)
void | on_selection_done (bool v)
void | on_selection_changed ()
bool | pointer_motion (GdkEventMotion *event)
void | display (const Glib::ustring &bank, const Glib::ustring &preset)
void | set_display_state (TunerSwitcher::SwitcherState s)

## Static Private Member Functions

static bool | on_keyboard_preset_select (GtkAccelGroup *accel_group, GObject *acceleratable, guint keyval, GdkModifierType modifier, Liveplay &self)
static bool | on_keyboard_toggle_mute (GtkAccelGroup *accel_group, GObject *acceleratable, guint keyval, GdkModifierType modifier, Liveplay &self)
static bool | on_keyboard_toggle_bypass (GtkAccelGroup *accel_group, GObject *acceleratable, guint keyval, GdkModifierType modifier, Liveplay &self)
static bool | on_keyboard_arrows (GtkAccelGroup *accel_group, GObject *acceleratable, guint keyval, GdkModifierType modifier, Liveplay &self)
static bool | on_keyboard_mode_switch (GtkAccelGroup *accel_group, GObject *acceleratable, guint keyval, GdkModifierType modifier, Liveplay &self)

## Private Attributes

Glib::RefPtr< gx_gui::GxBuilder > | bld
gx_engine::GxMachineBase & | machine
const GxActions & | actions
bool | use_composite
Glib::RefPtr< Gtk::Adjustment > | brightness_adj
Glib::RefPtr< Gtk::Adjustment > | background_adj
KeySwitcher | keyswitch
sigc::connection | midi_conn
Gtk::Window * | window
sigc::connection | mouse_hide_conn
Gtk::Image * | bypass_image
Gtk::Image * | mute_image
Gtk::Label * | liveplay_bank
Gtk::Label * | liveplay_preset
Gtk::Widget * | liveplay_canvas
Gxw::HSlider * | brightness_slider
Gtk::Box * | brightness_box
Gxw::HSlider * | background_slider
Gtk::ToggleButton * | liveplay_exit
Gtk::Grid * | midictrl_table
Gxw::RackTuner * | tuner

## Detailed Description

Definition at line 182 of file gx_main_window.h.

## Constructor & Destructor Documentation

## Liveplay()

Liveplay::Liveplay | ( | const gx_system::CmdlineOptions & | options,
|  | gx_engine::GxMachineBase & | machine,
|  | const std::string & | fname,
|  | const GxActions & | actions,
|  | Glib::RefPtr< Gio::SimpleActionGroup > & | group )

Referenced by on_keyboard_arrows(), on_keyboard_mode_switch(), on_keyboard_preset_select(), on_keyboard_toggle_bypass(), and on_keyboard_toggle_mute().

## ~Liveplay()

Liveplay::~Liveplay | ( |  | ) |

## Member Function Documentation

## add_midi_elements()

void Liveplay::add_midi_elements | ( |  | ) |

private

## display()

void Liveplay::display | ( | const Glib::ustring & | bank,
|  | const Glib::ustring & | preset )

private

## display_tuner()

void Liveplay::display_tuner | ( | bool | v | ) |

## get_tuner()

Gxw::RackTuner & Liveplay::get_tuner | ( |  | ) |

inline

Definition at line 242 of file gx_main_window.h.

## on_background_changed()

void Liveplay::on_background_changed | ( |  | ) |

private

## on_brightness_changed()

void Liveplay::on_brightness_changed | ( |  | ) |

private

## on_delete()

bool Liveplay::on_delete | ( | GdkEventAny * | ev | ) |

private

## on_engine_state_change()

void Liveplay::on_engine_state_change | ( | gx_engine::GxEngineState | state | ) |

private

## on_keyboard_arrows()

bool Liveplay::on_keyboard_arrows | ( | GtkAccelGroup * | accel_group,
|  | GObject * | acceleratable,
|  | guint | keyval,
|  | GdkModifierType | modifier,
|  | Liveplay & | self )

static private

## on_keyboard_mode_switch()

bool Liveplay::on_keyboard_mode_switch | ( | GtkAccelGroup * | accel_group,
|  | GObject * | acceleratable,
|  | guint | keyval,
|  | GdkModifierType | modifier,
|  | Liveplay & | self )

static private

## on_keyboard_preset_select()

bool Liveplay::on_keyboard_preset_select | ( | GtkAccelGroup * | accel_group,
|  | GObject * | acceleratable,
|  | guint | keyval,
|  | GdkModifierType | modifier,
|  | Liveplay & | self )

static private

## on_keyboard_toggle_bypass()

bool Liveplay::on_keyboard_toggle_bypass | ( | GtkAccelGroup * | accel_group,
|  | GObject * | acceleratable,
|  | guint | keyval,
|  | GdkModifierType | modifier,
|  | Liveplay & | self )

static private

## on_keyboard_toggle_mute()

bool Liveplay::on_keyboard_toggle_mute | ( | GtkAccelGroup * | accel_group,
|  | GObject * | acceleratable,
|  | guint | keyval,
|  | GdkModifierType | modifier,
|  | Liveplay & | self )

static private

## on_live_play()

void Liveplay::on_live_play | ( | Glib::RefPtr< ToggleAction > | act | ) |

## on_realize()

void Liveplay::on_realize | ( |  | ) |

private

## on_selection_changed()

void Liveplay::on_selection_changed | ( |  | ) |

private

## on_selection_done()

void Liveplay::on_selection_done | ( | bool | v | ) |

private

## pointer_motion()

bool Liveplay::pointer_motion | ( | GdkEventMotion * | event | ) |

private

## set_display_state()

void Liveplay::set_display_state | ( | TunerSwitcher::SwitcherState | s | ) |

private

## transparent_draw()

bool Liveplay::transparent_draw | ( | const Cairo::RefPtr< Cairo::Context > & | cr | ) |

private

## window_draw()

bool Liveplay::window_draw | ( | const Cairo::RefPtr< Cairo::Context > & | cr | ) |

private

## Member Data Documentation

## actions

const GxActions& Liveplay::actions

private

Definition at line 186 of file gx_main_window.h.

Referenced by Liveplay().

## background_adj

Glib::RefPtr<Gtk::Adjustment> Liveplay::background_adj

private

Definition at line 189 of file gx_main_window.h.

## background_slider

Gxw::HSlider* Liveplay::background_slider

private

Definition at line 202 of file gx_main_window.h.

## bld

Glib::RefPtr<gx_gui::GxBuilder> Liveplay::bld

private

Definition at line 184 of file gx_main_window.h.

## brightness_adj

Glib::RefPtr<Gtk::Adjustment> Liveplay::brightness_adj

private

Definition at line 188 of file gx_main_window.h.

## brightness_box

Gtk::Box* Liveplay::brightness_box

private

Definition at line 201 of file gx_main_window.h.

## brightness_slider

Gxw::HSlider* Liveplay::brightness_slider

private

Definition at line 200 of file gx_main_window.h.

## bypass_image

Gtk::Image* Liveplay::bypass_image

private

Definition at line 195 of file gx_main_window.h.

## keyswitch

KeySwitcher Liveplay::keyswitch

private

Definition at line 190 of file gx_main_window.h.

## liveplay_bank

Gtk::Label* Liveplay::liveplay_bank

private

Definition at line 197 of file gx_main_window.h.

## liveplay_canvas

Gtk::Widget* Liveplay::liveplay_canvas

private

Definition at line 199 of file gx_main_window.h.

## liveplay_exit

Gtk::ToggleButton* Liveplay::liveplay_exit

private

Definition at line 203 of file gx_main_window.h.

## liveplay_preset

Gtk::Label* Liveplay::liveplay_preset

private

Definition at line 198 of file gx_main_window.h.

## machine

gx_engine::GxMachineBase& Liveplay::machine

private

Definition at line 185 of file gx_main_window.h.

Referenced by Liveplay().

## midi_conn

sigc::connection Liveplay::midi_conn

private

Definition at line 191 of file gx_main_window.h.

## midictrl_table

Gtk::Grid* Liveplay::midictrl_table

private

Definition at line 204 of file gx_main_window.h.

## mouse_hide_conn

sigc::connection Liveplay::mouse_hide_conn

private

Definition at line 193 of file gx_main_window.h.

## mute_image

Gtk::Image* Liveplay::mute_image

private

Definition at line 196 of file gx_main_window.h.

## tuner

Gxw::RackTuner* Liveplay::tuner

private

Definition at line 205 of file gx_main_window.h.

Referenced by get_tuner().

## use_composite

bool Liveplay::use_composite

private

Definition at line 187 of file gx_main_window.h.

## window

Gtk::Window* Liveplay::window

private

Definition at line 192 of file gx_main_window.h.

The documentation for this class was generated from the following file:

- src/headers/gx_main_window.h